<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:sec="http://www.w3.org/1999/xhtml"
      layout:decorate="~{layouts/main}">

<div layout:fragment="content">

    <!-- Main Content -->
    <div id="content">

        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="col-5-grid">
                <div class="" th:each="user : ${users}">
                    <div class="contact-box">
                        <div class="row">
                            <div class="col-4">
                                <div class="text-center">
                                    <img th:src="${user.path}" alt="image" class="rounded-circle m-t-xs img-fluid" width="100" height="100"/>
                                    <!--<img alt="image" class="rounded-circle m-t-xs img-fluid" src="img/a2.jpg" width="10" height="10">-->
                                </div>
                            </div>
                            <div class="col-8 padding-0">


                                   <h3 class="text-uppercase"><strong th:text="${user.username}"></strong></h3>
                                   <p ><i class="fa fa-calendar"></i> <span th:text="${user.createdDate}"></span></p>

                                   <address th:if="${user.round != null}">
                                       Current round of the contester
                                       <div class="profile_round">
                                           <span class="p_round" th:classappend="${user.round == 1} ? p_round_active : p_round_inactive">1<span>Round</span></span>
                                           <span class="p_round " th:classappend="${user.round == 2} ? p_round_active : p_round_inactive">2<span>Round</span></span>
                                           <span class="p_round" th:classappend="${user.round == 3} ? p_round_active : p_round_inactive">3<span>Round</span></span>
                                           <!--<span class="p_round" th:classappend="${user.round == 3} ? p_round_active : p_round_inactive">4<span>Round</span></span>
                                           <span class="p_round" th:classappend="${user.round == 3} ? p_round_active : p_round_inactive">5<span>Round</span></span>-->
                                       </div>
                                   </address>




                        </div>
                        <div class="contact-box-footer contact-box-footer_new" sec:authorize="hasAuthority('ADMIN')" >
                            <div class="m-t-xs btn-group">
                                <a href=""  class="btn btn-xs btn-primary" th:href="@{/participant/edit/{id}(id=${user.id})}"><i class="fa fa-edit"></i> Edit </a>
                                <button type="submit" th:attr="data-target='#userModal'+${user.id}" data-id="${user.id}" class="btn btn-xs btn-danger" data-toggle="modal"><i class="fa fa-trash-o"></i> Delete</button>
                            </div>
                            <div id="userModal" class="modal fade" th:attr="id='userModal'+${user.id}" tabindex="-1">
                                <div class="modal-dialog modal-confirm">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h4 class="modal-title">Are you sure?</h4>
                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                        </div>
                                        <div class="modal-body">
                                            <p>Do you really want to delete these records? This process cannot be undone.</p>
                                        </div>
                                        <div class="modal-footer " style="">
                                            <button type="button" class="btn btn-info" data-dismiss="modal">Cancel</button>
                                            <a th:href="@{/participant/delete/{id}(id=${user.id})}" class="btn btn-danger">Delete</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<th:block layout:fragment="script">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.1.4/sockjs.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.min.js"></script>
    <script src="js/admin-const.js"></script>
    <script src="js/timer.js"></script>
    <script src="js/round2question.js"></script>

</th:block>
</div>
</html>